Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	Access control list utilities.
Name: 		acl
Version: 	2.2.45
Release: 	1
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: 	libattr-devel
Source: 	ftp://oss.sgi.com/projects/xfs/cmd_tars/acl_%{version}-1.tar.gz
Patch1: 	acl-2.2.39-build.patch
Patch2: 	acl-2.2.39-path_max.patch
BuildRequires: 	autoconf libtool gettext
License: 	GPL
Group: 		System/Base
URL: 		http://oss.sgi.com/projects/xfs/

%description
This package contains the getfacl and setfacl utilities needed for
manipulating access control lists.

%package -n libacl
Summary: 	Dynamic library for access control list support.
License: 	LGPL
Group: 		System/Libraries
Prereq: 	/sbin/ldconfig

%description -n libacl
This package contains the libacl.so dynamic library which contains
the POSIX 1003.1e draft standard 17 functions for manipulating access
control lists.

%package -n libacl-devel
Summary: 	Access control list static libraries and headers.
License: 	LGPL
Group: 		Development/Libraries
Requires: 	libacl libattr-devel

%description -n libacl-devel
This package contains static libraries and header files needed to develop
programs which make use of the access control list programming interface
defined in POSIX 1003.1e draft standard 17.

%prep
%setup -q
%patch1 -p1 -b .build
%patch2 -p1 -b .path_max
autoconf

%build
touch .census
# acl abuses libexecdir
%configure --libdir=/%{_lib} --libexecdir=%{_libdir}
make LIBTOOL="libtool --tag=CC"

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
make install-dev DESTDIR=$RPM_BUILD_ROOT
make install-lib DESTDIR=$RPM_BUILD_ROOT

# fix links to shared libs and permissions
rm -f $RPM_BUILD_ROOT/%{_libdir}/libacl.so
ln -s /%{_lib}/libacl.so $RPM_BUILD_ROOT/%{_libdir}/libacl.so
chmod 0755 $RPM_BUILD_ROOT/%{_lib}/libacl.so.*.*.*
rm -f $RPM_BUILD_ROOT/%{_lib}/libacl.a
rm -f $RPM_BUILD_ROOT/%{_lib}/libacl.la
ln -sf %{_libdir}/libacl.a $RPM_BUILD_ROOT/%{_lib}/libacl.a
ln -sf %{_libdir}/libacl.la $RPM_BUILD_ROOT/%{_lib}/libacl.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libacl -p /sbin/ldconfig

%postun -n libacl -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/chacl
%{_bindir}/getfacl
%{_bindir}/setfacl
%{_datadir}/doc/acl-%{version}
%{_mandir}/man1/chacl.1*
%{_mandir}/man1/getfacl.1*
%{_mandir}/man1/setfacl.1*
%{_mandir}/man5/acl.5*

%files -n libacl-devel
%defattr(-,root,root)
/%{_lib}/libacl.so
/%{_lib}/libacl.a
/%{_lib}/libacl.la
%{_includedir}/acl
%{_includedir}/sys/acl.h
%{_libdir}/libacl.*
%{_mandir}/man3/acl_*


%files -n libacl
%defattr(-,root,root)
/%{_lib}/libacl.so.*

%changelog
* Mon Oct 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 2.2.45-1
- Version update
* Wed Jan 10 2007 Christian Metzen <metzench@ccux-linux.de> 2.2.39-2
- readded .a and .la files
* Sun Jan 07 2007 Christian Metzen <metzench@ccux-linux.de> 2.2.39-1
- Initial release
